;SimpleCalndarH
;[BEGIN CONFIG FILE]===============================

;[Rainmeter]
;Author=Chewtoy (original calendar from mepu HUD.Vision 2.0)
;Version=1.03
;AppVersion=0.14
;This skin is published under GPL license!
;Metadata added by RainBrowser
;http://rainmeter.net/RainCMS/?q=Rainmeter101_AnatomyOfASkin

[Metadata]
Name=
Config=
Description=
Instructions=
Version=
Tags=
License=
Variant=
Preview=

;End of added Metadata


[Variables]
FontColor=255, 255, 255, 150
FontFace=Tahoma
BarColor=200, 200, 200, 90
FontSize=8
FontSizeBig=12
SolidColor=255, 255, 255, 80
y0=10
pyS=16
yWeek=8
yDate=29
yDay=47
StringAlign=Left

;For simplicity ofcourse! Change here, and nowhere else! It's supposed to be easy to use a skin... USE VARIABLES!
;Read the comments to get a clue on what everything is!

;=============================================
;[MEASURES]===================================
;=============================================

[MeasureYear]
Measure=Time
Format=%Y
;Format=%y
;If you don't want century, uncomment %y and comment %Y

:-----

[MeasureMonth]
Measure=Time
Format=%m
;Format=%B
;Format=%b
;Depeding on what you want your month to show as. The Format=%m is decimal (01-12) and the Format=%B is for full month name, %b is abbrevated. Only one can be unmarked for it to look good...

;-----

[MeasureWeek]
Measure=Time
Format=%W
;Format=%U
;%U is for sunday as first day of the week, %W is with monday as first day.

[MeasureWeek1]
Measure=Calc
Formula=(MeasureWeek)+1

;-----

[MeasureDate]
Measure=Time
Format=%d

[MeasureDay]
Measure=Time
Format=%a

[MeasureMonthRange]
Measure=Calc
Formula=((MeasureMonth = 4) || (MeasureMonth = 6) || (MeasureMonth = 9) || (MeasureMonth = 11)) ? 30 : ((MeasureMonth = 2) ? ((((MeasureYear % 4) = 0) && ((MeasureYear % 100) > 0)) ? 29 : (((MeasureYear % 400) = 0) ? 29 : 28)) : 31)


[SetDay_28]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=28
IfBelowAction=!execute [!RainmeterHideMeter label.Day28]
IfAboveValue=27
IfAboveAction=!execute [!RainmeterShowMeter label.Day28]

[SetDay_29]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=29
IfBelowAction=!execute [!RainmeterHideMeter label.Day29]
IfAboveValue=28
IfAboveAction=!execute [!RainmeterShowMeter label.Day29]

[SetDay_30]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=30
IfBelowAction=!execute [!RainmeterHideMeter label.Day30]
IfAboveValue=29
IfAboveAction=!execute [!RainmeterShowMeter label.Day30]

[SetDay_31]
Measure=Calc
Formula=MeasureMonthRange
IfBelowValue=31
IfBelowAction=!execute [!RainmeterHideMeter label.Day31]
IfAboveValue=30
IfAboveAction=!execute [!RainmeterShowMeter label.Day31]

;Basically just telling it when to display 28,29,30 and 31.


[CountDay_01]
Measure=Calc
Formula=MeasureDate
IfEqualValue=1
IfEqualAction=!Execute [!RainmeterMoveMeter 34 #yWeek# MeterWeek1][!RainmeterMoveMeter 34 #yDate# Marking][!RainmeterMoveMeter 34 #yDay# MeterDay]

[CountDay_02]
Measure=Calc
Formula=MeasureDate
IfEqualValue=2
IfEqualAction=!Execute [!RainmeterMoveMeter 50 #yWeek# MeterWeek1][!RainmeterMoveMeter 50 #yDate# Marking][!RainmeterMoveMeter 50 #yDay# MeterDay]

[CountDay_03]
Measure=Calc
Formula=MeasureDate
IfEqualValue=3
IfEqualAction=!Execute [!RainmeterMoveMeter 66 #yWeek# MeterWeek1][!RainmeterMoveMeter 66 #yDate# Marking][!RainmeterMoveMeter 66 #yDay# MeterDay]

[CountDay_04]
Measure=Calc
Formula=MeasureDate
IfEqualValue=4
IfEqualAction=!Execute [!RainmeterMoveMeter 82 #yWeek# MeterWeek1][!RainmeterMoveMeter 82 #yDate# Marking][!RainmeterMoveMeter 82 #yDay# MeterDay]

[CountDay_05]
Measure=Calc
Formula=MeasureDate
IfEqualValue=5
IfEqualAction=!Execute [!RainmeterMoveMeter 98 #yWeek# MeterWeek1][!RainmeterMoveMeter 98 #yDate# Marking][!RainmeterMoveMeter 98 #yDay# MeterDay]

[CountDay_06]
Measure=Calc
Formula=MeasureDate
IfEqualValue=6
IfEqualAction=!Execute [!RainmeterMoveMeter 114 #yWeek# MeterWeek1][!RainmeterMoveMeter 114 #yDate# Marking][!RainmeterMoveMeter 114 #yDay# MeterDay]

[CountDay_07]
Measure=Calc
Formula=MeasureDate
IfEqualValue=7
IfEqualAction=!Execute [!RainmeterMoveMeter 130 #yWeek# MeterWeek1][!RainmeterMoveMeter 130 #yDate# Marking][!RainmeterMoveMeter 130 #yDay# MeterDay]

[CountDay_08]
Measure=Calc
Formula=MeasureDate
IfEqualValue=8
IfEqualAction=!Execute [!RainmeterMoveMeter 146 #yWeek# MeterWeek1][!RainmeterMoveMeter 146 #yDate# Marking][!RainmeterMoveMeter 146 #yDay# MeterDay]

[CountDay_09]
Measure=Calc
Formula=MeasureDate
IfEqualValue=9
IfEqualAction=!Execute [!RainmeterMoveMeter 162 #yWeek# MeterWeek1][!RainmeterMoveMeter 162 #yDate# Marking][!RainmeterMoveMeter 162 #yDay# MeterDay]

[CountDay_10]
Measure=Calc
Formula=MeasureDate
IfEqualValue=10
IfEqualAction=!Execute [!RainmeterMoveMeter 178 #yWeek# MeterWeek1][!RainmeterMoveMeter 178 #yDate# Marking][!RainmeterMoveMeter 178 #yDay# MeterDay]

[CountDay_11]
Measure=Calc
Formula=MeasureDate
IfEqualValue=11
IfEqualAction=!Execute [!RainmeterMoveMeter 194 #yWeek# MeterWeek1][!RainmeterMoveMeter 194 #yDate# Marking][!RainmeterMoveMeter 194 #yDay# MeterDay]

[CountDay_12]
Measure=Calc
Formula=MeasureDate
IfEqualValue=12
IfEqualAction=!Execute [!RainmeterMoveMeter 210 #yWeek# MeterWeek1][!RainmeterMoveMeter 210 #yDate# Marking][!RainmeterMoveMeter 210 #yDay# MeterDay]

[CountDay_13]
Measure=Calc
Formula=MeasureDate
IfEqualValue=13
IfEqualAction=!Execute [!RainmeterMoveMeter 226 #yWeek# MeterWeek1][!RainmeterMoveMeter 226 #yDate# Marking][!RainmeterMoveMeter 226 #yDay# MeterDay]

[CountDay_14]
Measure=Calc
Formula=MeasureDate
IfEqualValue=14
IfEqualAction=!Execute [!RainmeterMoveMeter 242 #yWeek# MeterWeek1][!RainmeterMoveMeter 242 #yDate# Marking][!RainmeterMoveMeter 242 #yDay# MeterDay]

[CountDay_15]
Measure=Calc
Formula=MeasureDate
IfEqualValue=15
IfEqualAction=!Execute [!RainmeterMoveMeter 258 #yWeek# MeterWeek1][!RainmeterMoveMeter 258 #yDate# Marking][!RainmeterMoveMeter 258 #yDay# MeterDay]

[CountDay_16]
Measure=Calc
Formula=MeasureDate
IfEqualValue=16
IfEqualAction=!Execute [!RainmeterMoveMeter 274 #yWeek# MeterWeek1][!RainmeterMoveMeter 274 #yDate# Marking][!RainmeterMoveMeter 274 #yDay# MeterDay]

[CountDay_17]
Measure=Calc
Formula=MeasureDate
IfEqualValue=17
IfEqualAction=!Execute [!RainmeterMoveMeter 290 #yWeek# MeterWeek1][!RainmeterMoveMeter 290 #yDate# Marking][!RainmeterMoveMeter 290 #yDay# MeterDay]

[CountDay_40]
Measure=Calc
Formula=MeasureDate
IfEqualValue=40
IfEqualAction=!Execute [!RainmeterMoveMeter 306 #yWeek# MeterWeek1][!RainmeterMoveMeter 306 #yDate# Marking][!RainmeterMoveMeter 306 #yDay# MeterDay]

[CountDay_19]
Measure=Calc
Formula=MeasureDate
IfEqualValue=19
IfEqualAction=!Execute [!RainmeterMoveMeter 322 #yWeek# MeterWeek1][!RainmeterMoveMeter 322 #yDate# Marking][!RainmeterMoveMeter 322 #yDay# MeterDay]

[CountDay_20]
Measure=Calc
Formula=MeasureDate
IfEqualValue=20
IfEqualAction=!Execute [!RainmeterMoveMeter 338 #yWeek# MeterWeek1][!RainmeterMoveMeter 338 #yDate# Marking][!RainmeterMoveMeter 338 #yDay# MeterDay]

[CountDay_21]
Measure=Calc
Formula=MeasureDate
IfEqualValue=21
IfEqualAction=!Execute [!RainmeterMoveMeter 354 #yWeek# MeterWeek1][!RainmeterMoveMeter 354 #yDate# Marking][!RainmeterMoveMeter 354 #yDay# MeterDay]

[CountDay_22]
Measure=Calc
Formula=MeasureDate
IfEqualValue=22
IfEqualAction=!Execute [!RainmeterMoveMeter 370 #yWeek# MeterWeek1][!RainmeterMoveMeter 370 #yDate# Marking][!RainmeterMoveMeter 370 #yDay# MeterDay]

[CountDay_23]
Measure=Calc
Formula=MeasureDate
IfEqualValue=23
IfEqualAction=!Execute [!RainmeterMoveMeter 386 #yWeek# MeterWeek1][!RainmeterMoveMeter 386 #yDate# Marking][!RainmeterMoveMeter 386 #yDay# MeterDay]

[CountDay_24]
Measure=Calc
Formula=MeasureDate
IfEqualValue=24
IfEqualAction=!Execute [!RainmeterMoveMeter 402 #yWeek# MeterWeek1][!RainmeterMoveMeter 402 #yDate# Marking][!RainmeterMoveMeter 402 #yDay# MeterDay]

[CountDay_25]
Measure=Calc
Formula=MeasureDate
IfEqualValue=25
IfEqualAction=!Execute [!RainmeterMoveMeter 418 #yWeek# MeterWeek1][!RainmeterMoveMeter 418 #yDate# Marking][!RainmeterMoveMeter 418 #yDay# MeterDay]

[CountDay_26]
Measure=Calc
Formula=MeasureDate
IfEqualValue=26
IfEqualAction=!Execute [!RainmeterMoveMeter 434 #yWeek# MeterWeek1][!RainmeterMoveMeter 434 #yDate# Marking][!RainmeterMoveMeter 434 #yDay# MeterDay]

[CountDay_27]
Measure=Calc
Formula=MeasureDate
IfEqualValue=27
IfEqualAction=!Execute [!RainmeterMoveMeter 450 #yWeek# MeterWeek1][!RainmeterMoveMeter 450 #yDate# Marking][!RainmeterMoveMeter 450 #yDay# MeterDay]

[CountDay_28]
Measure=Calc
Formula=MeasureDate
IfEqualValue=28
IfEqualAction=!Execute [!RainmeterMoveMeter 466 #yWeek# MeterWeek1][!RainmeterMoveMeter 466 #yDate# Marking][!RainmeterMoveMeter 466 #yDay# MeterDay]

[CountDay_29]
Measure=Calc
Formula=MeasureDate
IfEqualValue=29
IfEqualAction=!Execute [!RainmeterMoveMeter 482 #yWeek# MeterWeek1][!RainmeterMoveMeter 482 #yDate# Marking][!RainmeterMoveMeter 482 #yDay# MeterDay]

[CountDay_30]
Measure=Calc
Formula=MeasureDate
IfEqualValue=30
IfEqualAction=!Execute [!RainmeterMoveMeter 498 #yWeek# MeterWeek1][!RainmeterMoveMeter 498 #yDate# Marking][!RainmeterMoveMeter 498 #yDay# MeterDay]

[CountDay_31]
Measure=Calc
Formula=MeasureDate
IfEqualValue=31
IfEqualAction=!Execute [!RainmeterMoveMeter 514 #yWeek# MeterWeek1][!RainmeterMoveMeter 514 #yDate# Marking][!RainmeterMoveMeter 514 #yDay# MeterDay]

;Counting the days! The marking is alos in here. And also the week and day that follows it. It's [Week][Date][Day] to put it in a fairly simple way.



;================================================
;[Graphics]======================================
;================================================

;----MONTH----

[MeterMonth]
MeasureName=MeasureMonth
Meter=String
X=12
Y=40
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1


;----SPACE!----
[MeterLine1]
Meter=Image
X=10
Y=30
W=20
H=1
SolidColor=#SolidColor#

;----YEAR----

[MeterYear]
MeasureName=MeasureYear
Meter=String
X=0
Y=4
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1


;----LINE!----

[MeterLine2]
Meter=Image
X=30
Y=0
W=2
H=75
SolidColor=#BarColor#


;----WEEK----

[MeterWeek1]
MeasureName=MeasureWeek1
Meter=String
x=34
y=#yWeek#
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1
Prefix="w"

;This is the week taht you see. The ones under can be unmarked, but they will move with the current day (just as the current week will) and be placed outside the date-line. Work it in if you want. :P

;[MeterWeek2]
;MeasureName=MeasureWeek2
;Meter=String
;x=#X0#
;y=82R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;[MeterWeek3]
;MeasureName=MeasureWeek3
;Meter=String
;x=#X0#
;y=98R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;[MeterWeek4]
;MeasureName=MeasureWeek4
;Meter=String
;x=#X0#
;y=98R
;FontColor=#FontColor#
;FontFace=#FontFace#
;FontSize=#FontSize#
;AntiAlias=1

;----DAY-DATE----
;Comment below!

[label.Day01]
Meter=string
X=34
Y=#yDate#
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
;stringStyle=#sStyle#
AntiAlias=1
Text="01"

[label.Day02]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="02"

[label.Day03]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="03"

[label.Day04]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="04"

[label.Day05]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="05"

[label.Day06]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="06"

[label.Day07]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="07"

[label.Day08]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="08"

[label.Day09]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="09"

[label.Day10]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="10"

[label.Day11]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="11"

[label.Day12]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="12"

[label.Day13]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="13"

[label.Day14]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="14"

[label.Day15]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="15"

[label.Day16]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="16"

[label.Day17]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="17"

[label.Day40]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="40"

[label.Day19]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="19"

[label.Day20]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="20"

[label.Day21]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="21"

[label.Day22]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="22"

[label.Day23]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="23"

[label.Day24]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="24"

[label.Day25]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="25"

[label.Day26]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="26"

[label.Day27]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="27"

[label.Day28]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="28"

[label.Day29]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="29"

[label.Day30]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="30"

[label.Day31]
Meter=string
X=#pyS#r
Y=r
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
StringAlign=#StringAlign#
AntiAlias=1
Text="31"

[Marking]
Meter=Image
X=34
Y=#yDate#
W=16
H=16
SolidColor=#SolidColor#
StringAlign=#StringAlign#
Hidden=0

;This is the date-line that you see. Also, the marking that you see is here. So you can change the size of it or something like that. X and Y are just startvalues (where it will be when you start and refresh the skin).

;----DAY-NAME----

[MeterDay]
MeasureName=MeasureDay
Meter=String
X=34
Y=#yDay#
FontColor=#FontColor#
FontFace=#FontFace#
FontSize=#FontSize#
AntiAlias=1

;The day which (from the start) is to the right of the date-line.
